Subject: Re: [PATCH 1/2] powerpc: Add 64bit optimised memcmp

From: Anton Blanchard <[email-masked]>
Date: Wed, 21 Jan 2015 23:06:39 +1100

Hi Arnd,

> Would it help to also add a way for an architecture to override
> memcmp_pages() with its own implementation? That way you could
> skip the unaligned part, hardcode the loop counter and avoid the
> preempt_disable() in kmap_atomic().

Good idea. We could also have a generic implementation that did long
comparisons, so everyone would get a decent speed up.

Anton